Windows pip 安装 scrapy 失败报 Twisted 安装错误 --使用 Wheel 安装解决

版权声明:本文为SmileSB101-(ZXB)-(个人独立博客-- http://wintersmilesb101.online 欢迎访问)博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/qq_21265915/article/details/82591841

废话

最近想要搞一下爬虫,于是准备搞一下 Scrapy,但是安装上就遇到了坑

处理

直接安装会在安装 Twisted 出现错误,无论如何安装不上,
错误截图
后来发现是由于系统的版本与其默认的版本不一致,我以为是 64位的但是其实不是,我们可以通过 platform 来确认自己的系统,
新建一个 python 文件输入如下内容

import platform

print(platform.architecture())

然后再 cmd 执行这个文件,输出结果(直接 Cmd 中启动 python 然后输如代码也是一样的结果),如下图:
系统版本
从上图我们可以看到,我的平台是('32bit', 'WindowsPE') 所以这里安装的时候会报错。
这里我们通过一个比较简单的安装 pip 包的方式–通过 Wheel 来安装,那么我们先安装 Wheel,其库可以在这里进行下载:Wheel 包下载地址

pip install wheel

然后我们就可以直接在Wheel 包下载地址 查找我们想要下载的包,我这里是想要下载 Twisted‑18.7.0‑cp37‑cp37m‑win32.whl、Scrapy‑1.5.1‑py2.py3‑none‑any.whl(想下载什么包,直接输入ctrl+f 输入你想要下载的包的名称–主要名称即可)
下载下来之后,安装方式:

pip install [文件全名称(即绝对路径或者是从命令行相对位置的路径)]

先 安装好 Twisted,再安装 Scrapy,这次终于正确安装上了,如果这个文件不符合你的系统,那么就换其他的 win32 版本下载安装
安装成功

阅读更多

没有更多推荐了,返回首页